Subject: Re: gnu-win32 without registry entries?
From: [email-masked] (Jeff Sturm)

24 Oct 1998 06:20:27 -0700
Message-ID: <[email-masked]>
References: <000401bdfd16$685a5420$010120c0@menpc1>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Austin David France <[email-masked]>
Cc: [email-masked]

OK, one thing to keep in mind here... env variables like CYGROOT
potentially can change between process invocations; that is CYGROOT
would be a process-local configuration.

However the mount table is currently a global setting, kept in shared
memory (a persistent copy is made to the win32 registry).

So what exactly should happen if CYGROOT were to change after mount
table initialization?  There could be several answers, but "crash" is
not a good one... (similar to the infamous bug of setting CYGWIN32=tty).

A /etc/fstab seems like a good idea... normally un*x reads /etc/fstab
somewhere during boot from an rc script... since GNU-Win32 has no init
process or rc scripts, should cygwinb19.dll instead try to run
/etc/fstab once during initialization?

Having /etc/mnttab is possible too... I would rather that cygwin32 had a
real "/proc filesystem" with a /proc/mnttab, linked to /etc/mnttab. 
That'll be easy if we ever have /proc...

Austin David France wrote:
> 
> I fourth this one.
> 
> Use of the CYGROOT environment variable is both flexible and simple to use.
> 
> What if $CYGROOT/etc/mnttab does not exist?
> 
> cygwin*.dll should mount / based on $CYGROOT, perhaps it does this already?
> 
> Perhaps the default for CYGROOT should be the installation directory?
> 
> TTFN,
> ()z
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On
> > Behalf Of Earnie Boyd
> > Sent: 16 October 1998 01:50
> > To: Enoch Wu; [email-masked]; [email-masked]
> > Subject: Re: gnu-win32 without registry entries?
> >
> >
> >
> > Since I've stated this before, I'll third it.  As to how to find
> > /etc/fstab use an environment variable called CYGROOT.  If CYGROOT
> > doesn't exist then it must be c:/etc/fstab.
> >
> > ---Enoch Wu <[email-masked]> wrote:
> > >
> > > Hi all,
> > >
> > > I second it!  We should be able to use a mount table like linux's
> > fstab on
> > > the C drive's root directory. How do you mount it on
> > c:/root/b19/etc/fstab
> > > for example, assuming the root is at c:/root/b19 ?  Perhaps the
> > location of
> > > fstab can be hard-coded like c:/root/etc/fstab.
> > >
> > > Enoch
> > >
> > > At 05:34 PM 10/13/98 -0700, [email-masked] wrote:
> > > >As far as I can tell, the only thing the registry entries are used
> > for is
> > > >to set up the simulated mounts, with the binary text options.
> > > >
> > > >How much trouble would it be to do this with a mount table as per
> > Linux,
> > > >instead of putting it in the registry?
> > > >
> > > >One reason I ask is that I work for a big company and our IS people
> > want
> > > >everyone to have standard registry entries.  It seems to me that
> > everything
> > > >else I really need works without messing with the registry.
> > > >
> > > >Other than that, I'm really quite pleased with cyg-win/gnu-win.
> > > >
> > > >John Velman
> > > >[email-masked]
> > > >-
> > > >For help on using this list (especially unsubscribing), send a
> > message to
> > > >"[email-masked]" with one line of text: "help".
> > > >
> > > >
> > > -
> > > For help on using this list (especially unsubscribing), send a
> > message to
> > > "[email-masked]" with one line of text: "help".
> > >
> >
> > ==
> > -                \\||//
> > -----------o0O0--Earnie--0O0o------------
> > --        [email-masked]        --
> > -- http://freeyellow.com/members5/gw32 --
> > --------------ooo0O--O0ooo---------------
> >
> > PS: Newbie's, you should visit my page.
> > _________________________________________________________
> > DO YOU YAHOO!?
> > Get your free @yahoo.com address at http://mail.yahoo.com
> >
> > -
> > For help on using this list (especially unsubscribing), send a message to
> > "[email-masked]" with one line of text: "help".
> >
> >
> 
> ------------------------------------------------------------------------
> 
> The views and opinions expressed in this e-mail message are the sender's
> and do not necessarily represent the views of Mentor Systems plc.
> 
> ------------------------------------------------------------------------
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Jeff Sturm
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".